ForeignKey.ReferentialAction (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.metamodel.relational
Enum ForeignKey.ReferentialAction

    java.lang.Object
      java.lang.Enum<ForeignKey.ReferentialAction>
          org.hibernate.metamodel.relational.ForeignKey.ReferentialAction

All Implemented Interfaces:
  Serializable, Comparable<ForeignKey.ReferentialAction>

Enclosing class:
  ForeignKey

    public static enum ForeignKey.ReferentialAction

extends Enum<ForeignKey.ReferentialAction>

Enum Constant Summary
`CASCADE`
`NO_ACTION`
`RESTRICT`
`SET_DEFAULT`
`SET_NULL`

Method Summary
`String` | `getActionString()`
`static ForeignKey.ReferentialAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ForeignKey.ReferentialAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_ACTION

    public static final ForeignKey.ReferentialAction NO_ACTION

### CASCADE

    public static final ForeignKey.ReferentialAction CASCADE

### SET_NULL

    public static final ForeignKey.ReferentialAction SET_NULL

### SET_DEFAULT

    public static final ForeignKey.ReferentialAction SET_DEFAULT

### RESTRICT

    public static final ForeignKey.ReferentialAction RESTRICT

Method Detail

### values

    public static ForeignKey.ReferentialAction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ForeignKey.ReferentialAction c : ForeignKey.ReferentialAction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ForeignKey.ReferentialAction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getActionString

    public String getActionString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.